source: git/libfac/configure @ be1d41

spielwiese
Last change on this file since be1d41 was be1d41, checked in by Hans Schönemann <hannes@…>, 22 years ago
*hannes: conf opts: --with-Singularerror --with-NOSTREAMIO git-svn-id: file:///usr/local/Singular/svn/trunk@5589 2c84dea3-7e68-4137-9b89-c4e89433aadc
  • Property mode set to 100755
File size: 43.6 KB
Line 
1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.13
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14ac_help="$ac_help
15  --with-debug    build with debugging options turned on"
16ac_help="$ac_help
17  --with-Singular build for use with Singular"
18ac_help="$ac_help
19  --with-Singularerror use error reporting from Singular"
20ac_help="$ac_help
21  --with-NOSTREAMIO : do not require iostream include nor library"
22
23# Initialize some variables set by options.
24# The variables have the same names as the options, with
25# dashes changed to underlines.
26build=NONE
27cache_file=./config.cache
28exec_prefix=NONE
29host=NONE
30no_create=
31nonopt=NONE
32no_recursion=
33prefix=NONE
34program_prefix=NONE
35program_suffix=NONE
36program_transform_name=s,x,x,
37silent=
38site=
39srcdir=
40target=NONE
41verbose=
42x_includes=NONE
43x_libraries=NONE
44bindir='${exec_prefix}/bin'
45sbindir='${exec_prefix}/sbin'
46libexecdir='${exec_prefix}/libexec'
47datadir='${prefix}/share'
48sysconfdir='${prefix}/etc'
49sharedstatedir='${prefix}/com'
50localstatedir='${prefix}/var'
51libdir='${exec_prefix}/lib'
52includedir='${prefix}/include'
53oldincludedir='/usr/include'
54infodir='${prefix}/info'
55mandir='${prefix}/man'
56
57# Initialize some other variables.
58subdirs=
59MFLAGS= MAKEFLAGS=
60SHELL=${CONFIG_SHELL-/bin/sh}
61# Maximum number of lines to put in a shell here document.
62ac_max_here_lines=12
63
64ac_prev=
65for ac_option
66do
67
68  # If the previous option needs an argument, assign it.
69  if test -n "$ac_prev"; then
70    eval "$ac_prev=\$ac_option"
71    ac_prev=
72    continue
73  fi
74
75  case "$ac_option" in
76  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
77  *) ac_optarg= ;;
78  esac
79
80  # Accept the important Cygnus configure options, so we can diagnose typos.
81
82  case "$ac_option" in
83
84  -bindir | --bindir | --bindi | --bind | --bin | --bi)
85    ac_prev=bindir ;;
86  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
87    bindir="$ac_optarg" ;;
88
89  -build | --build | --buil | --bui | --bu)
90    ac_prev=build ;;
91  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
92    build="$ac_optarg" ;;
93
94  -cache-file | --cache-file | --cache-fil | --cache-fi \
95  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
96    ac_prev=cache_file ;;
97  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
98  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
99    cache_file="$ac_optarg" ;;
100
101  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
102    ac_prev=datadir ;;
103  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
104  | --da=*)
105    datadir="$ac_optarg" ;;
106
107  -disable-* | --disable-*)
108    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
109    # Reject names that are not valid shell variable names.
110    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
111      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
112    fi
113    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
114    eval "enable_${ac_feature}=no" ;;
115
116  -enable-* | --enable-*)
117    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
118    # Reject names that are not valid shell variable names.
119    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
120      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
121    fi
122    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
123    case "$ac_option" in
124      *=*) ;;
125      *) ac_optarg=yes ;;
126    esac
127    eval "enable_${ac_feature}='$ac_optarg'" ;;
128
129  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
130  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
131  | --exec | --exe | --ex)
132    ac_prev=exec_prefix ;;
133  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
134  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
135  | --exec=* | --exe=* | --ex=*)
136    exec_prefix="$ac_optarg" ;;
137
138  -gas | --gas | --ga | --g)
139    # Obsolete; use --with-gas.
140    with_gas=yes ;;
141
142  -help | --help | --hel | --he)
143    # Omit some internal or obsolete options to make the list less imposing.
144    # This message is too long to be a string in the A/UX 3.1 sh.
145    cat << EOF
146Usage: configure [options] [host]
147Options: [defaults in brackets after descriptions]
148Configuration:
149  --cache-file=FILE       cache test results in FILE
150  --help                  print this message
151  --no-create             do not create output files
152  --quiet, --silent       do not print \`checking...' messages
153  --version               print the version of autoconf that created configure
154Directory and file names:
155  --prefix=PREFIX         install architecture-independent files in PREFIX
156                          [$ac_default_prefix]
157  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
158                          [same as prefix]
159  --bindir=DIR            user executables in DIR [EPREFIX/bin]
160  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
161  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
162  --datadir=DIR           read-only architecture-independent data in DIR
163                          [PREFIX/share]
164  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
165  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
166                          [PREFIX/com]
167  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
168  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
169  --includedir=DIR        C header files in DIR [PREFIX/include]
170  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
171  --infodir=DIR           info documentation in DIR [PREFIX/info]
172  --mandir=DIR            man documentation in DIR [PREFIX/man]
173  --srcdir=DIR            find the sources in DIR [configure dir or ..]
174  --program-prefix=PREFIX prepend PREFIX to installed program names
175  --program-suffix=SUFFIX append SUFFIX to installed program names
176  --program-transform-name=PROGRAM
177                          run sed PROGRAM on installed program names
178EOF
179    cat << EOF
180Host type:
181  --build=BUILD           configure for building on BUILD [BUILD=HOST]
182  --host=HOST             configure for HOST [guessed]
183  --target=TARGET         configure for TARGET [TARGET=HOST]
184Features and packages:
185  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
186  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
187  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
188  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
189  --x-includes=DIR        X include files are in DIR
190  --x-libraries=DIR       X library files are in DIR
191EOF
192    if test -n "$ac_help"; then
193      echo "--enable and --with options recognized:$ac_help"
194    fi
195    exit 0 ;;
196
197  -host | --host | --hos | --ho)
198    ac_prev=host ;;
199  -host=* | --host=* | --hos=* | --ho=*)
200    host="$ac_optarg" ;;
201
202  -includedir | --includedir | --includedi | --included | --include \
203  | --includ | --inclu | --incl | --inc)
204    ac_prev=includedir ;;
205  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
206  | --includ=* | --inclu=* | --incl=* | --inc=*)
207    includedir="$ac_optarg" ;;
208
209  -infodir | --infodir | --infodi | --infod | --info | --inf)
210    ac_prev=infodir ;;
211  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
212    infodir="$ac_optarg" ;;
213
214  -libdir | --libdir | --libdi | --libd)
215    ac_prev=libdir ;;
216  -libdir=* | --libdir=* | --libdi=* | --libd=*)
217    libdir="$ac_optarg" ;;
218
219  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
220  | --libexe | --libex | --libe)
221    ac_prev=libexecdir ;;
222  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
223  | --libexe=* | --libex=* | --libe=*)
224    libexecdir="$ac_optarg" ;;
225
226  -localstatedir | --localstatedir | --localstatedi | --localstated \
227  | --localstate | --localstat | --localsta | --localst \
228  | --locals | --local | --loca | --loc | --lo)
229    ac_prev=localstatedir ;;
230  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
231  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
232  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
233    localstatedir="$ac_optarg" ;;
234
235  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
236    ac_prev=mandir ;;
237  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
238    mandir="$ac_optarg" ;;
239
240  -nfp | --nfp | --nf)
241    # Obsolete; use --without-fp.
242    with_fp=no ;;
243
244  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
245  | --no-cr | --no-c)
246    no_create=yes ;;
247
248  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
249  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
250    no_recursion=yes ;;
251
252  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
253  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
254  | --oldin | --oldi | --old | --ol | --o)
255    ac_prev=oldincludedir ;;
256  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
257  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
258  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
259    oldincludedir="$ac_optarg" ;;
260
261  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
262    ac_prev=prefix ;;
263  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
264    prefix="$ac_optarg" ;;
265
266  -program-prefix | --program-prefix | --program-prefi | --program-pref \
267  | --program-pre | --program-pr | --program-p)
268    ac_prev=program_prefix ;;
269  -program-prefix=* | --program-prefix=* | --program-prefi=* \
270  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
271    program_prefix="$ac_optarg" ;;
272
273  -program-suffix | --program-suffix | --program-suffi | --program-suff \
274  | --program-suf | --program-su | --program-s)
275    ac_prev=program_suffix ;;
276  -program-suffix=* | --program-suffix=* | --program-suffi=* \
277  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
278    program_suffix="$ac_optarg" ;;
279
280  -program-transform-name | --program-transform-name \
281  | --program-transform-nam | --program-transform-na \
282  | --program-transform-n | --program-transform- \
283  | --program-transform | --program-transfor \
284  | --program-transfo | --program-transf \
285  | --program-trans | --program-tran \
286  | --progr-tra | --program-tr | --program-t)
287    ac_prev=program_transform_name ;;
288  -program-transform-name=* | --program-transform-name=* \
289  | --program-transform-nam=* | --program-transform-na=* \
290  | --program-transform-n=* | --program-transform-=* \
291  | --program-transform=* | --program-transfor=* \
292  | --program-transfo=* | --program-transf=* \
293  | --program-trans=* | --program-tran=* \
294  | --progr-tra=* | --program-tr=* | --program-t=*)
295    program_transform_name="$ac_optarg" ;;
296
297  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
298  | -silent | --silent | --silen | --sile | --sil)
299    silent=yes ;;
300
301  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
302    ac_prev=sbindir ;;
303  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
304  | --sbi=* | --sb=*)
305    sbindir="$ac_optarg" ;;
306
307  -sharedstatedir | --sharedstatedir | --sharedstatedi \
308  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
309  | --sharedst | --shareds | --shared | --share | --shar \
310  | --sha | --sh)
311    ac_prev=sharedstatedir ;;
312  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
313  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
314  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
315  | --sha=* | --sh=*)
316    sharedstatedir="$ac_optarg" ;;
317
318  -site | --site | --sit)
319    ac_prev=site ;;
320  -site=* | --site=* | --sit=*)
321    site="$ac_optarg" ;;
322
323  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
324    ac_prev=srcdir ;;
325  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
326    srcdir="$ac_optarg" ;;
327
328  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
329  | --syscon | --sysco | --sysc | --sys | --sy)
330    ac_prev=sysconfdir ;;
331  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
332  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
333    sysconfdir="$ac_optarg" ;;
334
335  -target | --target | --targe | --targ | --tar | --ta | --t)
336    ac_prev=target ;;
337  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
338    target="$ac_optarg" ;;
339
340  -v | -verbose | --verbose | --verbos | --verbo | --verb)
341    verbose=yes ;;
342
343  -version | --version | --versio | --versi | --vers)
344    echo "configure generated by autoconf version 2.13"
345    exit 0 ;;
346
347  -with-* | --with-*)
348    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
349    # Reject names that are not valid shell variable names.
350    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
351      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
352    fi
353    ac_package=`echo $ac_package| sed 's/-/_/g'`
354    case "$ac_option" in
355      *=*) ;;
356      *) ac_optarg=yes ;;
357    esac
358    eval "with_${ac_package}='$ac_optarg'" ;;
359
360  -without-* | --without-*)
361    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
362    # Reject names that are not valid shell variable names.
363    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
364      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
365    fi
366    ac_package=`echo $ac_package| sed 's/-/_/g'`
367    eval "with_${ac_package}=no" ;;
368
369  --x)
370    # Obsolete; use --with-x.
371    with_x=yes ;;
372
373  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
374  | --x-incl | --x-inc | --x-in | --x-i)
375    ac_prev=x_includes ;;
376  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
377  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
378    x_includes="$ac_optarg" ;;
379
380  -x-libraries | --x-libraries | --x-librarie | --x-librari \
381  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
382    ac_prev=x_libraries ;;
383  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
384  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
385    x_libraries="$ac_optarg" ;;
386
387  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
388    ;;
389
390  *)
391    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
392      echo "configure: warning: $ac_option: invalid host type" 1>&2
393    fi
394    if test "x$nonopt" != xNONE; then
395      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
396    fi
397    nonopt="$ac_option"
398    ;;
399
400  esac
401done
402
403if test -n "$ac_prev"; then
404  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
405fi
406
407trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
408
409# File descriptor usage:
410# 0 standard input
411# 1 file creation
412# 2 errors and warnings
413# 3 some systems may open it to /dev/tty
414# 4 used on the Kubota Titan
415# 6 checking for... messages and results
416# 5 compiler messages saved in config.log
417if test "$silent" = yes; then
418  exec 6>/dev/null
419else
420  exec 6>&1
421fi
422exec 5>./config.log
423
424echo "\
425This file contains any messages produced by compilers while
426running configure, to aid debugging if configure makes a mistake.
427" 1>&5
428
429# Strip out --no-create and --no-recursion so they do not pile up.
430# Also quote any args containing shell metacharacters.
431ac_configure_args=
432for ac_arg
433do
434  case "$ac_arg" in
435  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
436  | --no-cr | --no-c) ;;
437  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
438  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
439  *" "*|*"      "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
440  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
441  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
442  esac
443done
444
445# NLS nuisances.
446# Only set these to C if already set.  These must not be set unconditionally
447# because not all systems understand e.g. LANG=C (notably SCO).
448# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
449# Non-C LC_CTYPE values break the ctype check.
450if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
451if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
452if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
453if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
454
455# confdefs.h avoids OS command line length limits that DEFS can exceed.
456rm -rf conftest* confdefs.h
457# AIX cpp loses on an empty file, so make sure it contains at least a newline.
458echo > confdefs.h
459
460# A filename unique to this package, relative to the directory that
461# configure is in, which we can look for to find out if srcdir is correct.
462ac_unique_file=factor.h
463
464# Find the source files, if location was not specified.
465if test -z "$srcdir"; then
466  ac_srcdir_defaulted=yes
467  # Try the directory containing this script, then its parent.
468  ac_prog=$0
469  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
470  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
471  srcdir=$ac_confdir
472  if test ! -r $srcdir/$ac_unique_file; then
473    srcdir=..
474  fi
475else
476  ac_srcdir_defaulted=no
477fi
478if test ! -r $srcdir/$ac_unique_file; then
479  if test "$ac_srcdir_defaulted" = yes; then
480    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
481  else
482    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
483  fi
484fi
485srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
486
487# Prefer explicitly selected file to automatically selected ones.
488if test -z "$CONFIG_SITE"; then
489  if test "x$prefix" != xNONE; then
490    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
491  else
492    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
493  fi
494fi
495for ac_site_file in $CONFIG_SITE; do
496  if test -r "$ac_site_file"; then
497    echo "loading site script $ac_site_file"
498    . "$ac_site_file"
499  fi
500done
501
502if test -r "$cache_file"; then
503  echo "loading cache $cache_file"
504  . $cache_file
505else
506  echo "creating cache $cache_file"
507  > $cache_file
508fi
509
510ac_ext=c
511# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
512ac_cpp='$CPP $CPPFLAGS'
513ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
514ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
515cross_compiling=$ac_cv_prog_cc_cross
516
517ac_exeext=
518ac_objext=o
519if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
520  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
521  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
522    ac_n= ac_c='
523' ac_t='        '
524  else
525    ac_n=-n ac_c= ac_t=
526  fi
527else
528  ac_n= ac_c='\c' ac_t=
529fi
530
531
532
533
534libfac_name="\"Factorization and characteristic sets library\""
535
536libfac_version="0.3.2"
537
538libfac_date="\"Jan 31 2001\""
539
540libfac_author="\"M. Messollen\""
541
542
543libfac="libfac"
544
545libfac_g="libfac-g"
546
547libsingfac="libsingfac"
548
549libsingfac_g="libsingfac-g"
550
551factorH="factor.h"
552
553
554
555# Check whether --with-debug or --without-debug was given.
556if test "${with_debug+set}" = set; then
557  withval="$with_debug"
558  :
559fi
560
561
562# Check whether --with-Singular or --without-Singular was given.
563if test "${with_Singular+set}" = set; then
564  withval="$with_Singular"
565  :
566fi
567
568
569if test "$with_Singular" = yes; then
570  cat >> confdefs.h <<\EOF
571#define SINGULAR 1
572EOF
573
574  cat >> confdefs.h <<\EOF
575#define NOSTREAMIO 1
576EOF
577
578  if test "$with_debug" = yes; then
579     targetname="libsingfac-g"
580  else
581     targetname="libsingfac"
582  fi
583else
584  if test "$with_debug" = yes; then
585     targetname="libfac-g"
586  else
587     targetname="libfac"
588  fi
589fi
590
591# Check whether --with-Singularerror or --without-Singularerror was given.
592if test "${with_Singularerror+set}" = set; then
593  withval="$with_Singularerror"
594  :
595fi
596
597
598if test "$with_Singularerror" = yes; then
599  cat >> confdefs.h <<\EOF
600#define SINGULAR_ERROR 1
601EOF
602
603fi
604
605# Check whether --with-NOSTREAMIO or --without-NOSTREAMIO was given.
606if test "${with_NOSTREAMIO+set}" = set; then
607  withval="$with_NOSTREAMIO"
608  :
609fi
610
611
612if test "$with_NOSTREAMIO" = yes; then
613  cat >> confdefs.h <<\EOF
614#define NOSTREAMIO 1
615EOF
616
617fi
618
619if (test "x${prefix} != xNONE && test "${prefix} != "/usr/local") || \
620  test "${ac_default_prefix}" != "/usr/local" || \
621  test "${includedir}" != '${prefix}/include'; then
622  CPPFLAGS="-I${includedir} ${CPPFLAGS}"
623fi
624CPPFLAGS="-I./factor ${CPPFLAGS}"
625
626if (test "x${prefix} != xNONE && test "${prefix} != "/usr/local") || \
627  test "${ac_default_prefix}" != "/usr/local" || \
628  test "${libdir}" != '${prefix}/lib'; then
629  LDFLAGS="-L${libdir} ${LDFLAGS}"
630fi
631LDFLAGS="-L. ${LDFLAGS}"
632
633if test "${CXXFLAGS+set}" != set; then
634  ac_cxxflags_set=no
635  if test "$with_debug" = yes; then
636    CXXFLAGS="-g"
637  else
638    CXXFLAGS="-O"
639    cat >> confdefs.h <<\EOF
640#define NDEBUG 1
641EOF
642
643  fi
644fi
645
646ac_ext=C
647# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
648ac_cpp='$CXXCPP $CPPFLAGS'
649ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
650ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
651cross_compiling=$ac_cv_prog_cxx_cross
652
653for ac_prog in $CCC c++ g++ gcc CC cxx cc++ cl
654do
655# Extract the first word of "$ac_prog", so it can be a program name with args.
656set dummy $ac_prog; ac_word=$2
657echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
658echo "configure:659: checking for $ac_word" >&5
659if eval "test \"`echo '$''{'ac_cv_prog_CXX'+set}'`\" = set"; then
660  echo $ac_n "(cached) $ac_c" 1>&6
661else
662  if test -n "$CXX"; then
663  ac_cv_prog_CXX="$CXX" # Let the user override the test.
664else
665  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
666  ac_dummy="$PATH"
667  for ac_dir in $ac_dummy; do
668    test -z "$ac_dir" && ac_dir=.
669    if test -f $ac_dir/$ac_word; then
670      ac_cv_prog_CXX="$ac_prog"
671      break
672    fi
673  done
674  IFS="$ac_save_ifs"
675fi
676fi
677CXX="$ac_cv_prog_CXX"
678if test -n "$CXX"; then
679  echo "$ac_t""$CXX" 1>&6
680else
681  echo "$ac_t""no" 1>&6
682fi
683
684test -n "$CXX" && break
685done
686test -n "$CXX" || CXX="gcc"
687
688
689echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works""... $ac_c" 1>&6
690echo "configure:691: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works" >&5
691
692ac_ext=C
693# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
694ac_cpp='$CXXCPP $CPPFLAGS'
695ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
696ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
697cross_compiling=$ac_cv_prog_cxx_cross
698
699cat > conftest.$ac_ext << EOF
700
701#line 702 "configure"
702#include "confdefs.h"
703
704int main(){return(0);}
705EOF
706if { (eval echo configure:707: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
707  ac_cv_prog_cxx_works=yes
708  # If we can't run a trivial program, we are probably using a cross compiler.
709  if (./conftest; exit) 2>/dev/null; then
710    ac_cv_prog_cxx_cross=no
711  else
712    ac_cv_prog_cxx_cross=yes
713  fi
714else
715  echo "configure: failed program was:" >&5
716  cat conftest.$ac_ext >&5
717  ac_cv_prog_cxx_works=no
718fi
719rm -fr conftest*
720ac_ext=C
721# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
722ac_cpp='$CXXCPP $CPPFLAGS'
723ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
724ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
725cross_compiling=$ac_cv_prog_cxx_cross
726
727echo "$ac_t""$ac_cv_prog_cxx_works" 1>&6
728if test $ac_cv_prog_cxx_works = no; then
729  { echo "configure: error: installation or configuration problem: C++ compiler cannot create executables." 1>&2; exit 1; }
730fi
731echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
732echo "configure:733: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler" >&5
733echo "$ac_t""$ac_cv_prog_cxx_cross" 1>&6
734cross_compiling=$ac_cv_prog_cxx_cross
735
736echo $ac_n "checking whether we are using GNU C++""... $ac_c" 1>&6
737echo "configure:738: checking whether we are using GNU C++" >&5
738if eval "test \"`echo '$''{'ac_cv_prog_gxx'+set}'`\" = set"; then
739  echo $ac_n "(cached) $ac_c" 1>&6
740else
741  cat > conftest.C <<EOF
742#ifdef __GNUC__
743  yes;
744#endif
745EOF
746if { ac_try='${CXX-g++} -E conftest.C'; { (eval echo configure:747: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
747  ac_cv_prog_gxx=yes
748else
749  ac_cv_prog_gxx=no
750fi
751fi
752
753echo "$ac_t""$ac_cv_prog_gxx" 1>&6
754
755if test $ac_cv_prog_gxx = yes; then
756  GXX=yes
757else
758  GXX=
759fi
760
761ac_test_CXXFLAGS="${CXXFLAGS+set}"
762ac_save_CXXFLAGS="$CXXFLAGS"
763CXXFLAGS=
764echo $ac_n "checking whether ${CXX-g++} accepts -g""... $ac_c" 1>&6
765echo "configure:766: checking whether ${CXX-g++} accepts -g" >&5
766if eval "test \"`echo '$''{'ac_cv_prog_cxx_g'+set}'`\" = set"; then
767  echo $ac_n "(cached) $ac_c" 1>&6
768else
769  echo 'void f(){}' > conftest.cc
770if test -z "`${CXX-g++} -g -c conftest.cc 2>&1`"; then
771  ac_cv_prog_cxx_g=yes
772else
773  ac_cv_prog_cxx_g=no
774fi
775rm -f conftest*
776
777fi
778
779echo "$ac_t""$ac_cv_prog_cxx_g" 1>&6
780if test "$ac_test_CXXFLAGS" = set; then
781  CXXFLAGS="$ac_save_CXXFLAGS"
782elif test $ac_cv_prog_cxx_g = yes; then
783  if test "$GXX" = yes; then
784    CXXFLAGS="-g -O2"
785  else
786    CXXFLAGS="-g"
787  fi
788else
789  if test "$GXX" = yes; then
790    CXXFLAGS="-O2"
791  else
792    CXXFLAGS=
793  fi
794fi
795
796echo $ac_n "checking how to run the C++ preprocessor""... $ac_c" 1>&6
797echo "configure:798: checking how to run the C++ preprocessor" >&5
798if test -z "$CXXCPP"; then
799if eval "test \"`echo '$''{'ac_cv_prog_CXXCPP'+set}'`\" = set"; then
800  echo $ac_n "(cached) $ac_c" 1>&6
801else
802  ac_ext=C
803# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
804ac_cpp='$CXXCPP $CPPFLAGS'
805ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
806ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
807cross_compiling=$ac_cv_prog_cxx_cross
808  CXXCPP="${CXX-g++} -E"
809  cat > conftest.$ac_ext <<EOF
810#line 811 "configure"
811#include "confdefs.h"
812#include <stdlib.h>
813EOF
814ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
815{ (eval echo configure:816: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
816ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
817if test -z "$ac_err"; then
818  :
819else
820  echo "$ac_err" >&5
821  echo "configure: failed program was:" >&5
822  cat conftest.$ac_ext >&5
823  rm -rf conftest*
824  CXXCPP=/lib/cpp
825fi
826rm -f conftest*
827  ac_cv_prog_CXXCPP="$CXXCPP"
828ac_ext=C
829# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
830ac_cpp='$CXXCPP $CPPFLAGS'
831ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
832ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
833cross_compiling=$ac_cv_prog_cxx_cross
834fi
835fi
836CXXCPP="$ac_cv_prog_CXXCPP"
837echo "$ac_t""$CXXCPP" 1>&6
838
839
840echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
841echo "configure:842: checking whether ${MAKE-make} sets \${MAKE}" >&5
842set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
843if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
844  echo $ac_n "(cached) $ac_c" 1>&6
845else
846  cat > conftestmake <<\EOF
847all:
848        @echo 'ac_maketemp="${MAKE}"'
849EOF
850# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
851eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
852if test -n "$ac_maketemp"; then
853  eval ac_cv_prog_make_${ac_make}_set=yes
854else
855  eval ac_cv_prog_make_${ac_make}_set=no
856fi
857rm -f conftestmake
858fi
859if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
860  echo "$ac_t""yes" 1>&6
861  SET_MAKE=
862else
863  echo "$ac_t""no" 1>&6
864  SET_MAKE="MAKE=${MAKE-make}"
865fi
866
867# Extract the first word of "ranlib", so it can be a program name with args.
868set dummy ranlib; ac_word=$2
869echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
870echo "configure:871: checking for $ac_word" >&5
871if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
872  echo $ac_n "(cached) $ac_c" 1>&6
873else
874  if test -n "$RANLIB"; then
875  ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
876else
877  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
878  ac_dummy="$PATH"
879  for ac_dir in $ac_dummy; do
880    test -z "$ac_dir" && ac_dir=.
881    if test -f $ac_dir/$ac_word; then
882      ac_cv_prog_RANLIB="ranlib"
883      break
884    fi
885  done
886  IFS="$ac_save_ifs"
887  test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
888fi
889fi
890RANLIB="$ac_cv_prog_RANLIB"
891if test -n "$RANLIB"; then
892  echo "$ac_t""$RANLIB" 1>&6
893else
894  echo "$ac_t""no" 1>&6
895fi
896
897# Extract the first word of "ar", so it can be a program name with args.
898set dummy ar; ac_word=$2
899echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
900echo "configure:901: checking for $ac_word" >&5
901if eval "test \"`echo '$''{'ac_cv_prog_AR'+set}'`\" = set"; then
902  echo $ac_n "(cached) $ac_c" 1>&6
903else
904  if test -n "$AR"; then
905  ac_cv_prog_AR="$AR" # Let the user override the test.
906else
907  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
908  ac_dummy="$PATH"
909  for ac_dir in $ac_dummy; do
910    test -z "$ac_dir" && ac_dir=.
911    if test -f $ac_dir/$ac_word; then
912      ac_cv_prog_AR="ar"
913      break
914    fi
915  done
916  IFS="$ac_save_ifs"
917fi
918fi
919AR="$ac_cv_prog_AR"
920if test -n "$AR"; then
921  echo "$ac_t""$AR" 1>&6
922else
923  echo "$ac_t""no" 1>&6
924fi
925
926if test -z "$AR"; then
927  { echo "configure: error: Need ar" 1>&2; exit 1; }
928fi
929
930
931ac_safe=`echo "factory.h" | sed 'y%./+-%__p_%'`
932echo $ac_n "checking for factory.h""... $ac_c" 1>&6
933echo "configure:934: checking for factory.h" >&5
934if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
935  echo $ac_n "(cached) $ac_c" 1>&6
936else
937  cat > conftest.$ac_ext <<EOF
938#line 939 "configure"
939#include "confdefs.h"
940#include <factory.h>
941EOF
942ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
943{ (eval echo configure:944: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
944ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
945if test -z "$ac_err"; then
946  rm -rf conftest*
947  eval "ac_cv_header_$ac_safe=yes"
948else
949  echo "$ac_err" >&5
950  echo "configure: failed program was:" >&5
951  cat conftest.$ac_ext >&5
952  rm -rf conftest*
953  eval "ac_cv_header_$ac_safe=no"
954fi
955rm -f conftest*
956fi
957if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
958  echo "$ac_t""yes" 1>&6
959  :
960else
961  echo "$ac_t""no" 1>&6
962echo "configure: warning: factory.h not found! Install factory before building libfac!" 1>&2
963fi
964
965
966
967
968echo $ac_n "checking for working const""... $ac_c" 1>&6
969echo "configure:970: checking for working const" >&5
970if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
971  echo $ac_n "(cached) $ac_c" 1>&6
972else
973  cat > conftest.$ac_ext <<EOF
974#line 975 "configure"
975#include "confdefs.h"
976
977int main() {
978
979/* Ultrix mips cc rejects this.  */
980typedef int charset[2]; const charset x;
981/* SunOS 4.1.1 cc rejects this.  */
982char const *const *ccp;
983char **p;
984/* NEC SVR4.0.2 mips cc rejects this.  */
985struct point {int x, y;};
986static struct point const zero = {0,0};
987/* AIX XL C 1.02.0.0 rejects this.
988   It does not let you subtract one const X* pointer from another in an arm
989   of an if-expression whose if-part is not a constant expression */
990const char *g = "string";
991ccp = &g + (g ? g-g : 0);
992/* HPUX 7.0 cc rejects these. */
993++ccp;
994p = (char**) ccp;
995ccp = (char const *const *) p;
996{ /* SCO 3.2v4 cc rejects this.  */
997  char *t;
998  char const *s = 0 ? (char *) 0 : (char const *) 0;
999
1000  *t++ = 0;
1001}
1002{ /* Someone thinks the Sun supposedly-ANSI compiler will reject this.  */
1003  int x[] = {25, 17};
1004  const int *foo = &x[0];
1005  ++foo;
1006}
1007{ /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
1008  typedef const int *iptr;
1009  iptr p = 0;
1010  ++p;
1011}
1012{ /* AIX XL C 1.02.0.0 rejects this saying
1013     "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
1014  struct s { int j; const int *ap[3]; };
1015  struct s *b; b->j = 5;
1016}
1017{ /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
1018  const int foo = 10;
1019}
1020
1021; return 0; }
1022EOF
1023if { (eval echo configure:1024: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1024  rm -rf conftest*
1025  ac_cv_c_const=yes
1026else
1027  echo "configure: failed program was:" >&5
1028  cat conftest.$ac_ext >&5
1029  rm -rf conftest*
1030  ac_cv_c_const=no
1031fi
1032rm -f conftest*
1033fi
1034
1035echo "$ac_t""$ac_cv_c_const" 1>&6
1036if test $ac_cv_c_const = no; then
1037  cat >> confdefs.h <<\EOF
1038#define const
1039EOF
1040
1041fi
1042
1043echo $ac_n "checking for inline""... $ac_c" 1>&6
1044echo "configure:1045: checking for inline" >&5
1045if eval "test \"`echo '$''{'ac_cv_c_inline'+set}'`\" = set"; then
1046  echo $ac_n "(cached) $ac_c" 1>&6
1047else
1048  ac_cv_c_inline=no
1049for ac_kw in inline __inline__ __inline; do
1050  cat > conftest.$ac_ext <<EOF
1051#line 1052 "configure"
1052#include "confdefs.h"
1053
1054int main() {
1055} $ac_kw foo() {
1056; return 0; }
1057EOF
1058if { (eval echo configure:1059: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1059  rm -rf conftest*
1060  ac_cv_c_inline=$ac_kw; break
1061else
1062  echo "configure: failed program was:" >&5
1063  cat conftest.$ac_ext >&5
1064fi
1065rm -f conftest*
1066done
1067
1068fi
1069
1070echo "$ac_t""$ac_cv_c_inline" 1>&6
1071case "$ac_cv_c_inline" in
1072  inline | yes) ;;
1073  no) cat >> confdefs.h <<\EOF
1074#define inline
1075EOF
1076 ;;
1077  *)  cat >> confdefs.h <<EOF
1078#define inline $ac_cv_c_inline
1079EOF
1080 ;;
1081esac
1082
1083
1084if test ${GXX} = yes; then
1085
1086  if test "$ac_cxxflags_set" = no; then
1087    if test "$with_debug" = yes; then
1088       CXXFLAGS="-O -g"
1089    else
1090       CXXFLAGS="-O3 "
1091    fi
1092# check whether CXX accepts --no-rtti
1093
1094ac_ext=C
1095# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1096ac_cpp='$CXXCPP $CPPFLAGS'
1097ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1098ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1099cross_compiling=$ac_cv_prog_cxx_cross
1100
1101echo $ac_n "checking whether gcc accepts --no-rtti""... $ac_c" 1>&6
1102echo "configure:1103: checking whether gcc accepts --no-rtti" >&5
1103tmp_flags=${CXXFLAGS}
1104CXXFLAGS="${CXXFLAGS} --no-rtti"
1105if eval "test \"`echo '$''{'ac_cv_cxx_have_rtti'+set}'`\" = set"; then
1106  echo $ac_n "(cached) $ac_c" 1>&6
1107else
1108  cat > conftest.$ac_ext <<EOF
1109#line 1110 "configure"
1110#include "confdefs.h"
1111
1112int main() {
1113
1114; return 0; }
1115EOF
1116if { (eval echo configure:1117: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1117  rm -rf conftest*
1118  ac_cv_cxx_have_rtti=yes
1119else
1120  echo "configure: failed program was:" >&5
1121  cat conftest.$ac_ext >&5
1122  rm -rf conftest*
1123  ac_cv_cxx_have_rtti=no
1124fi
1125rm -f conftest*
1126
1127fi
1128
1129echo "$ac_t""${ac_cv_cxx_have_rtti}" 1>&6
1130CXXFLAGS=$tmp_flags
1131if test "${ac_cv_cxx_have_rtti}" = yes; then
1132CXXFLAGS="$CXXFLAGS --no-rtti"
1133fi
1134
1135echo $ac_n "checking whether gcc accepts --no-exceptions""... $ac_c" 1>&6
1136echo "configure:1137: checking whether gcc accepts --no-exceptions" >&5
1137tmp_flags=${CXXFLAGS}
1138CXXFLAGS="${CXXFLAGS} --no-exceptions"
1139if eval "test \"`echo '$''{'ac_cv_cxx_have_exceptions'+set}'`\" = set"; then
1140  echo $ac_n "(cached) $ac_c" 1>&6
1141else
1142  cat > conftest.$ac_ext <<EOF
1143#line 1144 "configure"
1144#include "confdefs.h"
1145
1146int main() {
1147
1148; return 0; }
1149EOF
1150if { (eval echo configure:1151: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1151  rm -rf conftest*
1152  ac_cv_cxx_have_exceptions=yes
1153else
1154  echo "configure: failed program was:" >&5
1155  cat conftest.$ac_ext >&5
1156  rm -rf conftest*
1157  ac_cv_cxx_have_exceptions=no
1158fi
1159rm -f conftest*
1160
1161fi
1162
1163echo "$ac_t""${ac_cv_cxx_have_exceptions}" 1>&6
1164CXXFLAGS=$tmp_flags
1165if test "${ac_cv_cxx_have_exceptions}" = yes; then
1166CXXFLAGS="$CXXFLAGS --no-exceptions"
1167fi
1168
1169
1170ac_ext=C
1171# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1172ac_cpp='$CXXCPP $CPPFLAGS'
1173ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1174ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1175cross_compiling=$ac_cv_prog_cxx_cross
1176
1177
1178  fi
1179  CXXTEMPLFLAGS="-fno-implicit-templates"
1180
1181
1182else
1183  CXXTEMPFLAGS=""
1184fi
1185
1186
1187trap '' 1 2 15
1188cat > confcache <<\EOF
1189# This file is a shell script that caches the results of configure
1190# tests run on this system so they can be shared between configure
1191# scripts and configure runs.  It is not useful on other systems.
1192# If it contains results you don't want to keep, you may remove or edit it.
1193#
1194# By default, configure uses ./config.cache as the cache file,
1195# creating it if it does not exist already.  You can give configure
1196# the --cache-file=FILE option to use a different cache file; that is
1197# what configure does when it calls configure scripts in
1198# subdirectories, so they share the cache.
1199# Giving --cache-file=/dev/null disables caching, for debugging configure.
1200# config.status only pays attention to the cache file if you give it the
1201# --recheck option to rerun configure.
1202#
1203EOF
1204# The following way of writing the cache mishandles newlines in values,
1205# but we know of no workaround that is simple, portable, and efficient.
1206# So, don't put newlines in cache variables' values.
1207# Ultrix sh set writes to stderr and can't be redirected directly,
1208# and sets the high bit in the cache file unless we assign to the vars.
1209(set) 2>&1 |
1210  case `(ac_space=' '; set | grep ac_space) 2>&1` in
1211  *ac_space=\ *)
1212    # `set' does not quote correctly, so add quotes (double-quote substitution
1213    # turns \\\\ into \\, and sed turns \\ into \).
1214    sed -n \
1215      -e "s/'/'\\\\''/g" \
1216      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1217    ;;
1218  *)
1219    # `set' quotes correctly as required by POSIX, so do not add quotes.
1220    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1221    ;;
1222  esac >> confcache
1223if cmp -s $cache_file confcache; then
1224  :
1225else
1226  if test -w $cache_file; then
1227    echo "updating cache $cache_file"
1228    cat confcache > $cache_file
1229  else
1230    echo "not updating unwritable cache $cache_file"
1231  fi
1232fi
1233rm -f confcache
1234
1235trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1236
1237test "x$prefix" = xNONE && prefix=$ac_default_prefix
1238# Let make expand exec_prefix.
1239test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1240
1241# Any assignment to VPATH causes Sun make to only execute
1242# the first set of double-colon rules, so remove it if not needed.
1243# If there is a colon in the path, we need to keep it.
1244if test "x$srcdir" = x.; then
1245  ac_vpsub='/^[         ]*VPATH[        ]*=[^:]*$/d'
1246fi
1247
1248trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1249
1250# Transform confdefs.h into DEFS.
1251# Protect against shell expansion while executing Makefile rules.
1252# Protect against Makefile macro expansion.
1253cat > conftest.defs <<\EOF
1254s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
1255s%[     `~#$^&*(){}\\|;'"<>?]%\\&%g
1256s%\[%\\&%g
1257s%\]%\\&%g
1258s%\$%$$%g
1259EOF
1260DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
1261rm -f conftest.defs
1262
1263
1264# Without the "./", some shells look in PATH for config.status.
1265: ${CONFIG_STATUS=./config.status}
1266
1267echo creating $CONFIG_STATUS
1268rm -f $CONFIG_STATUS
1269cat > $CONFIG_STATUS <<EOF
1270#! /bin/sh
1271# Generated automatically by configure.
1272# Run this file to recreate the current configuration.
1273# This directory was configured as follows,
1274# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1275#
1276# $0 $ac_configure_args
1277#
1278# Compiler output produced by configure, useful for debugging
1279# configure, is in ./config.log if it exists.
1280
1281ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1282for ac_option
1283do
1284  case "\$ac_option" in
1285  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1286    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1287    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1288  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1289    echo "$CONFIG_STATUS generated by autoconf version 2.13"
1290    exit 0 ;;
1291  -help | --help | --hel | --he | --h)
1292    echo "\$ac_cs_usage"; exit 0 ;;
1293  *) echo "\$ac_cs_usage"; exit 1 ;;
1294  esac
1295done
1296
1297ac_given_srcdir=$srcdir
1298
1299trap 'rm -fr `echo "Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1300EOF
1301cat >> $CONFIG_STATUS <<EOF
1302
1303# Protect against being on the right side of a sed subst in config.status.
1304sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1305 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1306$ac_vpsub
1307$extrasub
1308s%@SHELL@%$SHELL%g
1309s%@CFLAGS@%$CFLAGS%g
1310s%@CPPFLAGS@%$CPPFLAGS%g
1311s%@CXXFLAGS@%$CXXFLAGS%g
1312s%@FFLAGS@%$FFLAGS%g
1313s%@DEFS@%$DEFS%g
1314s%@LDFLAGS@%$LDFLAGS%g
1315s%@LIBS@%$LIBS%g
1316s%@exec_prefix@%$exec_prefix%g
1317s%@prefix@%$prefix%g
1318s%@program_transform_name@%$program_transform_name%g
1319s%@bindir@%$bindir%g
1320s%@sbindir@%$sbindir%g
1321s%@libexecdir@%$libexecdir%g
1322s%@datadir@%$datadir%g
1323s%@sysconfdir@%$sysconfdir%g
1324s%@sharedstatedir@%$sharedstatedir%g
1325s%@localstatedir@%$localstatedir%g
1326s%@libdir@%$libdir%g
1327s%@includedir@%$includedir%g
1328s%@oldincludedir@%$oldincludedir%g
1329s%@infodir@%$infodir%g
1330s%@mandir@%$mandir%g
1331s%@libfac_name@%$libfac_name%g
1332s%@libfac_version@%$libfac_version%g
1333s%@libfac_date@%$libfac_date%g
1334s%@libfac_author@%$libfac_author%g
1335s%@libfac@%$libfac%g
1336s%@libfac_g@%$libfac_g%g
1337s%@libsingfac@%$libsingfac%g
1338s%@libsingfac_g@%$libsingfac_g%g
1339s%@factorH@%$factorH%g
1340s%@targetname@%$targetname%g
1341s%@CXX@%$CXX%g
1342s%@CXXCPP@%$CXXCPP%g
1343s%@SET_MAKE@%$SET_MAKE%g
1344s%@RANLIB@%$RANLIB%g
1345s%@AR@%$AR%g
1346s%@CXXTEMPLFLAGS@%$CXXTEMPLFLAGS%g
1347
1348CEOF
1349EOF
1350
1351cat >> $CONFIG_STATUS <<\EOF
1352
1353# Split the substitutions into bite-sized pieces for seds with
1354# small command number limits, like on Digital OSF/1 and HP-UX.
1355ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1356ac_file=1 # Number of current file.
1357ac_beg=1 # First line for current file.
1358ac_end=$ac_max_sed_cmds # Line after last line for current file.
1359ac_more_lines=:
1360ac_sed_cmds=""
1361while $ac_more_lines; do
1362  if test $ac_beg -gt 1; then
1363    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1364  else
1365    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1366  fi
1367  if test ! -s conftest.s$ac_file; then
1368    ac_more_lines=false
1369    rm -f conftest.s$ac_file
1370  else
1371    if test -z "$ac_sed_cmds"; then
1372      ac_sed_cmds="sed -f conftest.s$ac_file"
1373    else
1374      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1375    fi
1376    ac_file=`expr $ac_file + 1`
1377    ac_beg=$ac_end
1378    ac_end=`expr $ac_end + $ac_max_sed_cmds`
1379  fi
1380done
1381if test -z "$ac_sed_cmds"; then
1382  ac_sed_cmds=cat
1383fi
1384EOF
1385
1386cat >> $CONFIG_STATUS <<EOF
1387
1388CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1389EOF
1390cat >> $CONFIG_STATUS <<\EOF
1391for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1392  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1393  case "$ac_file" in
1394  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1395       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1396  *) ac_file_in="${ac_file}.in" ;;
1397  esac
1398
1399  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1400
1401  # Remove last slash and all that follows it.  Not all systems have dirname.
1402  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1403  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1404    # The file is in a subdirectory.
1405    test ! -d "$ac_dir" && mkdir "$ac_dir"
1406    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1407    # A "../" for each directory in $ac_dir_suffix.
1408    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1409  else
1410    ac_dir_suffix= ac_dots=
1411  fi
1412
1413  case "$ac_given_srcdir" in
1414  .)  srcdir=.
1415      if test -z "$ac_dots"; then top_srcdir=.
1416      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1417  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1418  *) # Relative path.
1419    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1420    top_srcdir="$ac_dots$ac_given_srcdir" ;;
1421  esac
1422
1423
1424  echo creating "$ac_file"
1425  rm -f "$ac_file"
1426  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1427  case "$ac_file" in
1428  *Makefile*) ac_comsub="1i\\
1429# $configure_input" ;;
1430  *) ac_comsub= ;;
1431  esac
1432
1433  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1434  sed -e "$ac_comsub
1435s%@configure_input@%$configure_input%g
1436s%@srcdir@%$srcdir%g
1437s%@top_srcdir@%$top_srcdir%g
1438" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1439fi; done
1440rm -f conftest.s*
1441
1442EOF
1443cat >> $CONFIG_STATUS <<EOF
1444
1445EOF
1446cat >> $CONFIG_STATUS <<\EOF
1447
1448exit 0
1449EOF
1450chmod +x $CONFIG_STATUS
1451rm -fr confdefs* $ac_clean_files
1452test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1453
1454
Note: See TracBrowser for help on using the repository browser.